# NOTE:
# - bundles modified yajl-1.0.12

# Conditional build:
%bcond_with	tests		# build without tests

%define rbname yajl-ruby
Summary:	Ruby C bindings to the excellent Yajl JSON stream-based parser library
Name:		ruby-yajl
Version:	1.2.1
Release:	4
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{rbname}-%{version}.gem
# Source0-md5:	61d4348658120c1e633417cdc3404390
URL:		http://rdoc.info/github/brianmario/yajl-ruby
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
%if %{with tests}
BuildRequires:	ruby-activesupport
BuildRequires:	ruby-json
BuildRequires:	ruby-rake-compiler >= 0.7.5
BuildRequires:	ruby-rspec >= 2.0.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C binding to the excellent YAJL JSON parsing and generation library.

%prep
%setup -q

%build
%__gem_helper spec

cd ext/yajl
%{__ruby} extconf.rb
%{__make} V=1 \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_vendorarchdir}/yajl,%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
install -p ext/yajl/yajl.so $RPM_BUILD_ROOT%{ruby_vendorarchdir}/yajl/yajl.so

cp -p %{rbname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md MIT-LICENSE
%dir %{ruby_vendorarchdir}/yajl
%attr(755,root,root) %{ruby_vendorarchdir}/yajl/yajl.so
%{ruby_vendorlibdir}/yajl.rb
%{ruby_vendorlibdir}/yajl
%{ruby_specdir}/%{rbname}-%{version}.gemspec
%changelog
* Wed Oct 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-yajl.git;a=log;h=master

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> f30207c
- rebuild with ruby 2.3
- release 4 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 7daf2ff
- ruby 2.1 rebuild
- release 3 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> ced7add
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 12 2014 Elan Ruusamäe <glen@delfi.ee> 5461383
- up to 1.2.1

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 88e068e
- rebuild for ruby 2.0
- release 4 (by relup.sh)

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> df62959
- build with rubygems provides

* Mon May 06 2013 Elan Ruusamäe <glen@delfi.ee> 3a9aefa
- cleanup bugus deps (those are devel deps)

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 2e7fd6d
- cleanup, do not use setup.rb

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> a5b379c
- move yail.so to subdir where it is expected

* Fri Apr 05 2013 Elan Ruusamäe <glen@delfi.ee> 4adf64e
- BR: ruby-devel for C headers

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> ad332fe
- build binary ext with setup.rb

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> ba322a2
- new, version 1.1.0

